### Method

# PangoOT Ruleset get_feature_count

since: 1.18

#### Declaration [src]

    guint
    pango_ot_ruleset_get_feature_count (
      const PangoOTRuleset* ruleset,
      guint* n_gsub_features,
      guint* n_gpos_features
    )

#### Description [src]

Gets the number of GSUB and GPOS features in the ruleset.

Available since: 1.18

#### Parameters

`n_gsub_features`

  Type: `guint*`

  Location to store number of GSUB features.

  The argument will be set by the function.
  The argument can be `NULL`.

`n_gpos_features`

  Type: `guint*`

  Location to store number of GPOS features.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `guint`

Total number of features in the `ruleset`.